line_2d.hpp File Reference

A straight line in a two dimensional space. More...

`#include <claw/coordinate_2d.hpp>`
`#include <claw/vector_2d.hpp>`
`#include <claw/impl/line_2d.tpp>`

Go to the source code of this file.

## Classes

class | claw::math::line_2d< T >
| A straight line in a two dimensional space. More...

## Namespaces

namespace | claw
| This is the main namespace.
namespace | claw::math
| Manipulation of mathematic, geometric, etc. items.

## Detailed Description

A straight line in a two dimensional space.

Author
  Julien Jorge

Definition in file line_2d.hpp.